## org.eclipse.emf.cdo.common.revision.delta
Class CDORevisionDeltaUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.revision.delta.CDORevisionDeltaUtil

    public final class CDORevisionDeltaUtil

extends java.lang.Object

Method Summary
`static CDORevisionDelta` `copy(CDORevisionDelta revisionDelta)`
`static CDORevisionDelta` `create(CDORevision revision)`
`static CDORevisionDelta` `create(CDORevision originRevision, CDORevision dirtyRevision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static CDORevisionDelta create(CDORevision revision)

### copy

    public static CDORevisionDelta copy(CDORevisionDelta revisionDelta)

  Since:
    2.0

### create

    public static CDORevisionDelta create(CDORevision originRevision,
                                          CDORevision dirtyRevision)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.